Bug 1278457 - no config_usb_dwc3 in kernel [NEEDINFO]
no config_usb_dwc3 in kernel
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 09:29 EST by Johnson Steward
Modified: 2016-10-26 12:46 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:46:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (jsteward.us)


Attachments (Terms of Use)
Least config needed for me to bring up a Gentoo installation on the same device. (110.77 KB, text/plain)
2015-11-05 10:21 EST, Johnson Steward
no flags Details

  None (edit)
Description Johnson Steward 2015-11-05 09:29:36 EST
Description of problem:
the livecd wont boot but stuck at the splash screen, seems like not finding root. I needed usb_dwc3 in kernel for otg to work. I can only connet the thumb drive through that port.

The needed device id is 8086:0f37 from Intel Corporation.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Plug in thumb drive
2. Reboot
3.

Actual results:
no support for dwc3 otg(can't boot livecd)

Expected results:
had that support

Additional info:
Comment 1 Josh Boyer 2015-11-05 09:54:42 EST
What exactly are you trying to do here?  What kind of machine are you trying to install Fedora on that requires OTG for its root disk?  That isn't even a normally tested path for a Fedora release and it is too late to make a change for the Fedora 23 release media.

Do you have logs you can provide from the boot process?
Comment 2 Johnson Steward 2015-11-05 10:18:28 EST
(In reply to Josh Boyer from comment #1)
> What exactly are you trying to do here?  What kind of machine are you trying
> to install Fedora on that requires OTG for its root disk?  That isn't even a
> normally tested path for a Fedora release and it is too late to make a
> change for the Fedora 23 release media.
> 
> Do you have logs you can provide from the boot process?

Wait, root device is mmcblk. I mean I can't get the live cd booting because it can't load things in the thumb drive.

For logs currently no. can't find ways to get hem out except for photographing.
Comment 3 Johnson Steward 2015-11-05 10:21 EST
Created attachment 1090166 [details]
Least config needed for me to bring up a Gentoo installation on the same device.

Many more things besides USB_DWC3 needed. Like minors of mmc to be 32, and so on.
Comment 4 Johnson Steward 2015-11-05 10:24:40 EST
(In reply to Josh Boyer from comment #1)
> What exactly are you trying to do here?  What kind of machine are you trying
> to install Fedora on that requires OTG for its root disk?  That isn't even a
> normally tested path for a Fedora release and it is too late to make a
> change for the Fedora 23 release media.
> 
> Do you have logs you can provide from the boot process?

I am using a Atom tablet which only have one MicroUSB port. Installing needs to connect hub and thumb drive onto that port, in grub I can see the light of thumb drive and can switch keyboard NumLock, but once kernel loads I can't.
Comment 5 Johnson Steward 2015-11-05 19:18:06 EST
Booted stripping rghb and quiet from the kernel command line, I found out that I'm stuck at [ok] Reached Target Basic System.
Comment 6 Laura Abbott 2016-09-23 15:29:32 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 7 Laura Abbott 2016-10-26 12:46:27 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.